import request from "@/utils/request"

// 获取用户基本信息
export const getUserInfo = (params) => {
  return request({
    url: '/menduner/system/person/get',
    method: 'GET',
    params,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 获取附件列表
export const getPersonResumeCv = () => {
  return request({
    url: '/menduner/system/person/resume/get/person/cv',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 获取收藏的招聘职位列表
export const getJobFavoriteList = (params) => {
  return request({
    url: '/menduner/system/person/get/job/favorite/page',
    method: 'GET',
    params,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 谁看过我
export const getInterestedMePage = (params) => {
  return request({
    url: '/menduner/system/job-cv-rel/look/page',
    method: 'GET',
    params,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 众聘比例信息
export const getPublicRatio = () => {
  return request({
    url: '/menduner/system/hire-commission-ratio/get',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: false
    }
  })
}

// 上传附件简历
export const saveResume = (data) => {
  return request({
    url: '/menduner/system/person/resume/person/cv/save',
    method: 'POST',
    data,
    custom: {
      auth: true,
      showLoading: false
    }
  })
}

// 删除附件简历
export const deleteResume = (id) => {
  return request({
    url: '/menduner/system/person/resume/person/cv/remove',
    method: 'DELETE',
    params: {
      id
    },
    custom: {
      auth: true,
      showLoading: false
    }
  })
}